Bug 549 - Firefox could not start after updating
: Firefox could not start after updating
Status: RESOLVED INVALID
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 10:29 MSD by FirstLevel
Modified: 2012-07-22 21:39 MSD (History)
1 user (show)

See Also:
RPM Package: firefox-10.0.4-3-rosa.lts2012.0.x86_64.rpm
ISO-related:
Bad POT generating:
Upstream:


Attachments
strace output of starting firefox (141.83 KB, text/plain)
2012-07-20 10:29 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-07-20 10:29:17 MSD
Created attachment 407 [details]
strace output of starting firefox

Description of problem:
After updating firefox to firefox-10.0.4-3-rosa.lts2012.0.x86_64.rpm I could not to start it.
[sergei@localhost ~]$ firefox
terminate called after throwing an instance of 'std::runtime_error'
  what():  Unable to read configuration
I have don such things:
1. Try to run it from other user - error occured.
2. Reinstall package 
urpmi --replacepkg firefox firefox-ru
error occured.
3. Remove firefox, firefox-ru, libxulrunner, xulrunner and install it again
[root@localhost sergei]# urpme firefox
Для удовлетворения зависимостей будут удалены следующие 3 пакетов (39МБ):
  firefox-10.0.4-3-rosa.lts2012.0.x86_64
  firefox-en_GB-10.0.4-0.1-rosa.lts2012.0.noarch
   (из-за неудовлетворённости firefox == 0:10.0.4)
  firefox-ru-10.0.4-0.1-rosa.lts2012.0.noarch
   (из-за неудовлетворённости firefox == 0:10.0.4)
Удалить 3 пакетов? (y/N) y
удаляется firefox-10.0.4-3-rosa.lts2012.0.x86_64 firefox-en_GB-10.0.4-0.1-rosa.lts2012.0.noarch firefox-ru-10.0.4-0.1-rosa.lts2012.0.noarch
Подготовка...                    ######################################################################################
удаляется пакет firefox-ru-10.0.4-0.1.noarch
удаляется пакет firefox-en_GB-10.0.4-0.1.noarch
удаляется пакет firefox-10.0.4-3.x86_64
root@localhost sergei]# urpme xulrunner-5.0-2-rosa.lts2012.0.x86_64
удаляется xulrunner-5.0-2-rosa.lts2012.0.x86_64
Подготовка...                    ######################################################################################
удаляется пакет xulrunner-5.0-2.x86_64
[root@localhost sergei]# urpme lib64xulrunner5.0-5.0-2-rosa.lts2012.0.x86_64
удаляется lib64xulrunner5.0-5.0-2-rosa.lts2012.0.x86_64
Подготовка...                    ######################################################################################
удаляется пакет lib64xulrunner5.0-5.0-2.x86_64
[root@localhost sergei]# urpmi firefox firefox-ru xulrunner
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main (LTS2012.0-1)»)
 lib64xulrunner5.0              5.0          2             rosa> 2012.0 x86_64 
 xulrunner                      5.0          2             rosa> 2012.0 x86_64 
(источник «main updates (LTS2012.0-2)»)
 firefox                        10.0.4       3             rosa> 2012.0 x86_64 
 firefox-ru                     10.0.4       0.1           rosa> 2012.0 noarch 
Будет использовано 75МБ дополнительного дискового пространства.
Будет загружено 76МБ пакетов.
Установить 4 пакетов? (Y/n) y


    $MIRRORLIST: media/main/release/xulrunner-5.0-2-rosa.lts2012.0.x86_64.rpm
    $MIRRORLIST: media/main/release/lib64xulrunner5.0-5.0-2-rosa.lts2012.0.x86_64.rpm                                   
    $MIRRORLIST: media/main/updates/firefox-10.0.4-3-rosa.lts2012.0.x86_64.rpm                                          
    $MIRRORLIST: media/main/updates/firefox-ru-10.0.4-0.1-rosa.lts2012.0.noarch.rpm                                     
устанавливается firefox-ru-10.0.4-0.1-rosa.lts2012.0.noarch.rpm firefox-10.0.4-3-rosa.lts2012.0.x86_64.rpm xulrunner-5.0-2-rosa.lts2012.0.x86_64.rpm lib64xulrunner5.0-5.0-2-rosa.lts2012.0.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    ######################################################################################
      1/4: lib64xulrunner5.0     ######################################################################################
      2/4: firefox               ######################################################################################
      3/4: firefox-ru            ######################################################################################
      4/4: xulrunner             ######################################################################################
[root@localhost sergei]#
error is occured
I have attached the debug output of strace -xf -eopen -o /tmp/firefox-new.txt /usr/bin/firefox



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2012-07-22 21:39:22 MSD
This error occured when DrWeb for Linux was installed on ROSA 2012 LTS.
Closed